org.apache.olingo.ext.proxy.commons

## Class EdmStreamValueHandler

- java.lang.Object
- - org.apache.olingo.ext.proxy.commons.EdmStreamValueHandler

- All Implemented Interfaces:
    InvocationHandler

      public class EdmStreamValueHandler
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `LOG` Logger.
    `protected AbstractService<?>` | `service`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EdmStreamValueHandler(String contentType, InputStream stream, URI uri, AbstractService<?> service)`
    `protected` | `EdmStreamValueHandler(URI uri, AbstractService<?> service)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static URIBuilder` | `buildEntitySetURI(Class<?> ref, AbstractService<?> service)`
    `protected static URIBuilder` | `buildEntitySetURI(String entitySetName, AbstractService<?> service)`
    `void` | `close()`
    `protected <S extends EntityType<?>> void` | `deleteEntity(EntityInvocationHandler handler, URI entitySetURI)`
    `boolean` | `equals(Object obj)`
    `protected EdmEnabledODataClient` | `getClient()`
    `protected ComplexType<?>` | `getComplex(String name, ClientValue value, Class<?> ref, EntityInvocationHandler handler, URI baseURI, boolean collectionItem)`
    `String` | `getContentType()`
    `protected Context` | `getContext()`
    `InputStream` | `getStream()`
    `int` | `hashCode()`
    `Object` | `invoke(Object proxy, Method method, Object[] args)`
    `protected Object` | `invokeSelfMethod(Method method, Object[] args)`
    `protected boolean` | `isDeleted(EntityInvocationHandler handler)`
    `protected boolean` | `isSelfMethod(Method method)`
    `void` | `load()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          protected static final org.slf4j.Logger LOG

      Logger.

    - #### service

          protected AbstractService<?> service

  - ### Constructor Detail

    - #### EdmStreamValueHandler

          protected EdmStreamValueHandler(URI uri,
                                          AbstractService<?> service)

    - #### EdmStreamValueHandler

          protected EdmStreamValueHandler(String contentType,
                                          InputStream stream,
                                          URI uri,
                                          AbstractService<?> service)

  - ### Method Detail

    - #### invoke

          public Object invoke(Object proxy,
                               Method method,
                               Object[] args)
                        throws Throwable

      Throws:
        `Throwable`

    - #### load

          public void load()

    - #### getContentType

          public String getContentType()

    - #### getStream

          public InputStream getStream()

    - #### close

          public void close()

    - #### getClient

          protected EdmEnabledODataClient getClient()

    - #### getContext

          protected Context getContext()

    - #### isSelfMethod

          protected boolean isSelfMethod(Method method)

    - #### invokeSelfMethod

          protected Object invokeSelfMethod(Method method,
                                            Object[] args)
                                     throws Throwable

      Throws:
        `Throwable`

    - #### getComplex

          protected ComplexType<?> getComplex(String name,
                                              ClientValue value,
                                              Class<?> ref,
                                              EntityInvocationHandler handler,
                                              URI baseURI,
                                              boolean collectionItem)

    - #### isDeleted

          protected boolean isDeleted(EntityInvocationHandler handler)

    - #### deleteEntity

          protected <S extends EntityType<?>> void deleteEntity(EntityInvocationHandler handler,
                                                                URI entitySetURI)

    - #### buildEntitySetURI

          protected static URIBuilder buildEntitySetURI(Class<?> ref,
                                                        AbstractService<?> service)

    - #### buildEntitySetURI

          protected static URIBuilder buildEntitySetURI(String entitySetName,
                                                        AbstractService<?> service)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.